diff --git src/ld/ld.cpp src/ld/ld.cpp
index 763bbd6..87c58a5 100644
--- src/ld/ld.cpp
+++ src/ld/ld.cpp
@@ -89,20 +89,6 @@ extern "C" double log2 ( double );
 #include "parsers/lto_file.h"
 #include "parsers/opaque_section_file.h"
 
-const ld::Platform ld::basePlatform(const ld::Platform& platform)  {
-	switch(platform) {
-		case ld::kPlatform_iOSMac:
-		case ld::kPlatform_iOSSimulator:
-			return ld::kPlatform_iOS;
-		case ld::kPlatform_watchOSSimulator:
-			return kPlatform_watchOS;
-		case ld::kPlatform_tvOSSimulator:
-			return ld::kPlatform_tvOS;
-		default:
-			return platform;
-	}
-}
-
 const ld::VersionSet ld::File::_platforms;
 
 struct PerformanceStatistics {
diff --git src/ld/ld.hpp src/ld/ld.hpp
index c8bf3f6..83bd5cf 100644
--- src/ld/ld.hpp
+++ src/ld/ld.hpp
@@ -58,6 +58,20 @@ enum Platform {
 	kPlatform_watchOSSimulator=9
 };
 
+static const Platform basePlatform(const ld::Platform& platform)  {
+	switch(platform) {
+		case ld::kPlatform_iOSMac:
+		case ld::kPlatform_iOSSimulator:
+			return ld::kPlatform_iOS;
+		case ld::kPlatform_watchOSSimulator:
+			return kPlatform_watchOS;
+		case ld::kPlatform_tvOSSimulator:
+			return ld::kPlatform_tvOS;
+		default:
+			return platform;
+	}
+}
+
 const ld::Platform basePlatform(const ld::Platform& platform);
 
 typedef std::set<Platform> PlatformSet;
